## org.omg.CORBA
Interface ValueBoxDefOperations

All Superinterfaces:
  ContainedOperations, IDLTypeOperations, IRObjectOperations, TypedefDefOperations

All Known Subinterfaces:
  ValueBoxDef

All Known Implementing Classes:
  ValueBoxDefPOA

public interface ValueBoxDefOperations
extends TypedefDefOperations

A ValueBoxDef object represents a value box definition. It merely identifies the IDL type_def that is being "boxed".

Method Summary
`IDLType` `original_type_def()` The original_type_def attribute identifies the type being boxed.
`void` `original_type_def(IDLType value)` The original_type_def attribute identifies the type being boxed.

Methods inherited from interface org.omg.CORBA.ContainedOperations
`absolute_name, containing_repository, defined_in, describe, id, id, move, name, name, version, version`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Method Detail

### original_type_def

    public IDLType original_type_def()

  The original_type_def attribute identifies the type being boxed.

### original_type_def

    public void original_type_def(IDLType value)

  The original_type_def attribute identifies the type being boxed.